Galon Cloud
Galon API v1

/projects/{project_id}/domains/lookup

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

POST /projects/{project_id}/domains/lookup

Check a domain from the console

Console session only (signed-in console).

Parameters

NameInTypeDescription
project_idpathstring · required
Idempotency-Keyheaderstring · required

Request body

application/json · schema DomainLookup

FieldTypeDescription
domainstring · required

Responses

StatusDescriptionBody
202Search queuedJobSubmissionResponse
422Invalid parametersError
503job_projection_invalid: the server refuses to publish a result that does not satisfy its closed public schemaError

Examples

curl

curl -X POST "$GALON_API_BASE/projects/<project_id>/domains/lookup" \
  -H "Authorization: Bearer $GALON_API_KEY" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '{"domain": "string"}'